package com.miaxis.carousel.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.miaxis.common.annotation.Excel;
import com.miaxis.common.core.domain.BaseBusinessEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
/**
 * 轮播图对象 carousel_chart_info
 *
 * @author miaxis
 * @date 2021-03-11
 */
@Data
@TableName("carousel_chart_info")
@ApiModel(value = "CarouselChartInfo", description = "轮播图对象 carousel_chart_info")
public class CarouselChartInfo extends BaseBusinessEntity{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @TableId(value = "id")
    @ApiModelProperty(value = "主键")
    private Long id;

    /** 图片名称 */
    @Excel(name = "图片名称")
    @TableField("picture_name")
    @ApiModelProperty(value = "图片名称")
    private String pictureName;

    /** 图片id--对应file_info的id */
    @Excel(name = "图片id--对应file_info的id")
    @TableField("file_id")
    @ApiModelProperty(value = "图片id--对应file_info的id")
    private Long fileId;

    /** 状态  0：有效(默认)、1：失效 （伪删除） */
    @Excel(name = "状态  0：有效(默认)、1：失效 （伪删除）", readConverterExp = "伪=删除")
    @TableField("status")
    @ApiModelProperty(value = "状态  0：有效(默认)、1：失效 （伪删除）")
    private Integer status;

}
