package com.miaxis.newgzpt.domain;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 考试题库
 * </p>
 *
 * @author ${author}
 * @since 2021-03-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("GZPT_EXAM_QUESTION")
@ApiModel(value="GzptExamQuestion对象", description="考试题库")
public class GzptExamQuestion implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主健")
    @TableId("EQ_ID")
    private BigDecimal eqId;

    @ApiModelProperty(value = "题目类型 0 判断 1选择 2多选")
    @TableField("OPTION_TYPE")
    private String optionType;

    @ApiModelProperty(value = "题目性质 0 文字题 1图片题 2 动画题")
    @TableField("MEDIA_TYPE")
    private String mediaType;

    @ApiModelProperty(value = "章节ID")
    @TableField("CHAPTER")
    private String chapter;

    @ApiModelProperty(value = "标题名字")
    @TableField("QUESTION_LABEL")
    private String questionLabel;

    @ApiModelProperty(value = "题目")
    @TableField("QUESTION")
    private String question;

    @ApiModelProperty(value = "图片地址 如果不为空则保存图片的名称")
    @TableField("MEDIA")
    private String media;

    @ApiModelProperty(value = "正确答案 16-A 32-B 64-C 128-D")
    @TableField("ANSWER")
    private String answer;

    @ApiModelProperty(value = "答案选项A")
    @TableField("OPTION_A")
    private String optionA;

    @ApiModelProperty(value = "答案选项B")
    @TableField("OPTION_B")
    private String optionB;

    @ApiModelProperty(value = "答案选项C")
    @TableField("OPTION_C")
    private String optionC;

    @ApiModelProperty(value = "答案选项D")
    @TableField("OPTION_D")
    private String optionD;

    @ApiModelProperty(value = "答案解释")
    @TableField("EXPLAIN")
    private String explain;

    @ApiModelProperty(value = "科类 1 科一 4 科三")
    @TableField("SUBJECT")
    private String subject;

    @ApiModelProperty(value = "是否删除状态 0 未删除 1已删除")
    @TableField("STATE")
    private String state;

    @ApiModelProperty(value = "归属车辆类型 C1 小车 A1 客车 A2 货车 D 摩托车 / 1客运 2货运 3危运 4教练员")
    @TableField("CAR_TYPE")
    private String carType;

    @ApiModelProperty(value = "题目性质")
    @TableField("KIND")
    private String kind;

    @ApiModelProperty(value = "题库版本号")
    @TableField("VERSION")
    private String version;


}
