package com.miaxis.product.service;

import java.util.List;

import com.miaxis.common.core.domain.Response;
import com.miaxis.product.domain.ProductTypeInfo;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 品类Service接口
 *
 * @author miaxis
 * @date 2021-03-11
 */
public interface IProductTypeInfoService extends IService<ProductTypeInfo>{
    /**
     * 查询品类列表
     *
     * @param productTypeInfo 品类
     * @return 品类集合
     */
    List<ProductTypeInfo> selectProductTypeInfoList(ProductTypeInfo productTypeInfo);

    /**
     * 删除品类
     * @param ids
     * @return
     */
    Response<Integer> removeProductByIds(Long[] ids);
}
